AOZ Studio Beta - Bug #1048

input cmd
01/07/2023 11:10 PM - malcolm harvey

Status: Closed Start date: 01/08/2023
Priority: Normal Due date:

Assignee: Baptiste Bideaux % Done: 0%
Category: Estimated time: 0:00 hour
Target version: none

Affected version: 1.0.0 (B17)

Description

Pauls notes on the subject...And then ill add my notes as well and example.

The below now will not work now in V1.0 U37

(Pauls notes).

'Also, I've been getting the same thing with Open In, but it seems to be input# (which was the next line) that was causing the hang. If
| change it to line input it continues. So input# looks to have a problem. This code worked a few months ago.

Multiple problems. When | thought Open In was okay | put the filename back from levels to levels.txt as it used to be and not Open
In is locking up. So open in with a .txt on the end, or input# both don't work for me, plus volume.

Any my game is now running after removing volume and renaming the txt file to not have an extension, and putting the input# to a
line input #.'

(My notes)..

Using the below always worked right up until also a few mths ago.

Now Input is not working, just hangs as paul found above.

This example worked up last working live version a few mths before release.
(Note: The Volume issue as paul describes there is a sep ticket on this.)

#splashScreen:false
#useAssetsResources:false

Print "Current directory:";dir$ //Application direction for files read/write

dim mapposloc$(10) //(mapposloc) access file can be 10 positions (numbers)
nextword$=""
//Read..... from a file mapposloc.txt to array mapposlocS ().
print "press a key"
wait key
Open in 1,"mylist.txt" // Open the (mapposloc) access file

print "file open"

wait key
// Sequential file handling

For n = 1 to 10 //mapposloc.txt has 10 items

Input #1,nextword$ // Input from file or read to program memory each item in seque
nce from file number 1 into nextword, (#1)

mapposloc$ (n) = nextword$ //Place in element n of the array, mapposloc$(n) 1-10

print nextword$ //print them to see on screen
Next

print "first bit done"

Close 1 // Close the word list file
print mapposloc$ (1) //now print the words out from array
print mapposloc$ (2) //what we read in

print mapposloc$ (3)
print "second bit done"

wait key

History

#1 - 01/07/2023 11:13 PM - malcolm harvey

malcolm harvey wrote:

Pauls notes on the subject...And then ill add my notes as well and example.
The below now will not work now in V1.0 U37

(Pauls notes).

'Also, I've been getting the same thing with Open In, but it seems to be input# (which was the next line) that was causing the hang. If | change it
to line input it continues. So input# looks to have a problem. This code worked a few months ago.

Multiple problems. When | thought Open In was okay | put the filename back from levels to levels.txt as it used to be and not Open In is locking
up. So open in with a .txt on the end, or input# both don't work for me, plus volume.

Any my game is now running after removing volume and renaming the txt file to not have an extension, and putting the input# to a line input #.'

(My notes)..

Using the below always worked right up until also a few mths ago.

Now Input is not working, just hangs as paul found above.

This example worked up last working live version a few mths before release.
(Note: The Volume issue as paul describes there is a sep ticket on this.)

#splashScreen:false
#useAssetsResources:false

Print "Current directory:";dir$ //Application direction for files read/write
dim mapposloc$(10) /l(mapposloc) access file can be 10 positions (numbers)
nextword$=""
//Read..... from a file mapposloc.txt to array mapposloc$ () .

print "press a key"
wait key

Open in 1,"mylist.txt" // Open the (mapposloc) access file

print "file open"

wait key
// Sequential file handling

For n = 1 to 10 //mapposloc.txt has 10 items

Input #1,nextwords$ // Input from file or read to program memory each item in sequence from

file number 1 into nextword, (#1)

mapposloc$ (n) = nextword$ //Place in element n of the array, mapposloc$(n) 1-10

print nextword$ //print them to see on screen
Next

print "first bit done"

Close 1 // Close the word list file
print mapposlocs$ (1) //now print the words out from array
print mapposloc$ (2) //what we read in

print mapposloc$ (3)
print "second bit done"

wait key

Opps, small update...
(Code here again)..

#splashScreen:false
#useAssetsResources:false

Print "Current directory:";dir$ //Application direction for files read/write
dim mapposloc$(10) //(mapposloc) access file can be 10 positions (numbers)

nextword$=""
//Read..... from a file mapposloc.txt to array mapposloc$ ().
print "press a key"
wait key
Open in 1,"mylist.txt" // Open the (mapposloc) access file

print "file open"

wait key
// Sequential file handling

For n = 1 to 10 //mapposloc.txt has 10 items

Input #1,nextword$ // Input from file or read to program memory each item in sequence from fil
e number 1 into nextword, (#1)

mapposloc$ (n) = nextword$ //Place in element n of the array, mapposloc$(n) 1-10

print nextword$ //print them to see on screen
Next

print "first bit done"

Close 1 // Close the word list file
print mapposloc$ (1) //now print the words out from array
print mapposloc$ (2) //what we read in

print mapposloc$ (3)
print "second bit done"

wait key

#2 - 01/07/2023 11:14 PM - malcolm harvey

- Status changed from New to Closed

malcolm harvey wrote:

Pauls notes on the subject...And then ill add my notes as well and example.
The below now will not work now in V1.0 U37

(Pauls notes).

'Also, I've been getting the same thing with Open In, but it seems to be input# (which was the next line) that was causing the hang. If | change it
to line input it continues. So input# looks to have a problem. This code worked a few months ago.

Multiple problems. When | thought Open In was okay | put the filename back from levels to levels.ixt as it used to be and not Open In is locking
up. So open in with a .txt on the end, or input# both don't work for me, plus volume.

Any my game is now running after removing volume and renaming the txt file to not have an extension, and putting the input# to a line input #.'

(My notes)..

Using the below always worked right up until also a few mths ago.

Now Input is not working, just hangs as paul found above.

This example worked up last working live version a few mths before release.
(Note: The Volume issue as paul describes there is a sep ticket on this.)

#splashScreen:false
#useAssetsResources:false

Print "Current directory:";dir$ //Application direction for files read/write
dim mapposloc$(10) //(mapposloc) access file can be 10 positions (numbers)
nextword$=""
//Read..... from a file mapposloc.txt to array mapposloc$ ().

print "press a key"
wait key

Open in 1,"mylist.txt" // Open the (mapposloc) access file

print "file open"
wait key

// Sequential file handling
For n = 1 to 10 //mapposloc.txt has 10 items

Input #1,nextword$ // Input from file or read to program memory each item in sequence from
file number 1 into nextword, (#1)

mapposloc$ (n) = nextword$ //Place in element n of the array, mapposloc$(n) 1-10

print nextword$ //print them to see on screen

Next

print "first bit done"

Close 1 // Close the word list file
print mapposloc$ (1) //now print the words out from array
print mapposloc$ (2) //what we read in

print mapposloc$ (3)
print "second bit done"

wait key

Opps, small update...
(Code here again)..
#splashScreen:false

#useAssetsResources:false

Print "Current directory:";dir$ //Application direction for files read/write

dim mapposloc$(10) /l(mapposloc) access file can be 10 positions (numbers)
nextword$=""
//Read..... from a file mapposloc.txt to array mapposloc$ ().
print "press a key"
wait key
Open in 1,"mylist.txt" // Open the (mapposloc) access file

print "file open"

wait key
// Sequential file handling

For n =1 to 10 //mapposloc.txt has 10 items

Input #1,nextwords$ // Input from file or read to program memory each item in sequence from fil
e number 1 into nextword, (#1)

mapposloc$ (n) = nextword$ //Place in element n of the array, mapposloc$(n) 1-10

print nextword$ //print them to see on screen
Next

print "first bit done"

Close 1 // Close the word list file
print mapposlocs$ (1) //now print the words out from array
print mapposloc$ (2) //what we read in

print mapposloc$ (3)
print "second bit done"

wait key
